ur_rna.Utilities

## Class NullPrintStream.NullByteArrayOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ByteArrayOutputStream
    - - ur_rna.Utilities.NullPrintStream.NullByteArrayOutputStream

- All Implemented Interfaces:
    java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable
  Enclosing class:
    NullPrintStream

      private static class NullPrintStream.NullByteArrayOutputStream
      extends java.io.ByteArrayOutputStream

- - ### Field Summary

    - ### Fields inherited from class java.io.ByteArrayOutputStream

      `buf, count`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `NullByteArrayOutputStream()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write(byte[] b, int off, int len)`
    `void` | `write(int b)`
    `void` | `writeTo(java.io.OutputStream out)`

    - ### Methods inherited from class java.io.ByteArrayOutputStream

      `close, reset, size, toByteArray, toString, toString, toString`

    - ### Methods inherited from class java.io.OutputStream

      `flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NullByteArrayOutputStream

          private NullByteArrayOutputStream()

  - ### Method Detail

    - #### write

          public void write(byte[] b,
                            int off,
                            int len)

      Overrides:
        `write` in class `java.io.ByteArrayOutputStream`

    - #### write

          public void write(int b)

      Overrides:
        `write` in class `java.io.ByteArrayOutputStream`

    - #### writeTo

          public void writeTo(java.io.OutputStream out)
                       throws java.io.IOException

      Overrides:
        `writeTo` in class `java.io.ByteArrayOutputStream`
      Throws:
        `java.io.IOException`